# Generated from ffi-tk-2018.02.20.gem by gem2rpm -*- rpm-spec -*-
%global gem_name ffi-tk

Name: rubygem-%{gem_name}
Version: 2018.02.20
Release: 1%{?dist}
Summary: Pure Ruby FFI wrapper for the Tk GUI toolkit
License: MIT
URL: http://github.com/manveru/ffi-tk
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel >= 1.3.3
BuildRequires: ruby
# BuildRequires: rubygem(bacon) >= 1.2
# BuildRequires: rubygem(bacon) < 2
BuildArch: noarch

%description
Comfortably talk with Tcl/Tk using FFI.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# bacon -a
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%exclude %{gem_instdir}/.rubocop_todo.yml
%{gem_instdir}/MANIFEST
%{gem_instdir}/TODO.md
%{gem_instdir}/bin
%{gem_instdir}/example
%{gem_instdir}/gemset.nix
%{gem_libdir}
%{gem_instdir}/shell.nix
%{gem_instdir}/tasks
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/AUTHORS
%doc %{gem_instdir}/CHANGELOG
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/doc
%{gem_instdir}/ffi-tk.gemspec
%{gem_instdir}/spec

%changelog
* Mon Sep 13 2021 mockbuilder - 2018.02.20-1
- Initial package
